#!/usr/bin/env python
# -*- coding=utf-8 -*-

import const
import gtk.glade

class ConfigWindow:
	def __init__(self, config):
		self.config = config
		self.xml = gtk.glade.XML(const.CURRENT_PATH + 'config.glade')
		
		self.cbtnAutoLogin = self.xml.get_widget('cbtnAutoLogin')
		self.cbtnAutoLogin.set_active(self.config.login_auto_run == 'yes')
		self.cbtnAutoLogin.connect("toggled", self.auto_login_toggled)
		
		self.cbtnEnableProxy = self.xml.get_widget('cbtnEnableProxy')
		self.cbtnEnableProxy.set_active(self.config.proxy_enable == 'yes')
		self.cbtnEnableProxy.connect("toggled", self.enable_proxy_toggled)
		
		self.txtPassword = self.xml.get_widget('txtPassword')
		self.txtPassword.set_text(self.config.login_password)
		
		self.txtProxyUri = self.xml.get_widget('txtProxyUri')
		self.txtProxyUri.set_text(self.config.proxy_uri)
		
		self.cbxStatus = self.xml.get_widget('cbxStatus')
		self.cbxStatus.set_active(self.config.login_states_dict[self.config.login_status])
		self.cbxStatus.connect('changed', self.status_changed)
		
		self.btnSave = self.xml.get_widget('btnSave')
		self.btnSave.connect("clicked", self.btnsave_clicked)
		self.btnCancle = self.xml.get_widget('btnCancle')
		self.btnCancle.connect("clicked", self.btncancle_clicked)
		
		self.window = self.xml.get_widget('winConfig')
		self.window.set_icon_from_file(const.ICON)
		self.window.show_all()
		
	def auto_login_toggled(self, widget):
		self.config.login_auto_run = (self.cbtnAutoLogin.get_active() and ['yes'] or ['no'])[0]
		
	def enable_proxy_toggled(self, widget):
		self.config.proxy_enable = (self.cbtnEnableProxy.get_active() and ['yes'] or ['no'])[0]
		
	def status_changed(self, widget):
		self.config.login_status = self.config.login_states[self.cbxStatus.get_active()]

	def btnsave_clicked(self, widget):
		self.config.login_password = self.txtPassword.get_text()
		self.config.proxy_uri = self.txtProxyUri.get_text()
		self.config.save()
		utils.notification('保存配置成功', '重启程序后生效')
		self.window.destroy()

	def btncancle_clicked(self, widget):
		self.window.destroy()